Subject: Re: bug#58440: 27.2; Exit Code on SIGINT is Zero, But shouldn't Be

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Oct 2022 13:31:15 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>,  Morten Welinder
>  <[email-masked]>
> Date: Thu, 13 Oct 2022 10:12:03 +0200
> 
> Mattias Engdegård <[email-masked]> writes:
> 
> > Yes, it's the natural outcome in any normal GUI application that
> > doesn't have Emacs's complicated relation to SIGINT.
> >
> > I certainly don't mind if you change Emacs in this respect. 
> 
> I think it'd make sense to change the exit code here -- it seems more
> logical, and I think the potential for breakage is small.  (I mean,
> there may be people that have scripts that rely on Emacs having a zero
> exit code on SIGINT, but it seems rather unlikely.)
> 
> Anybody have any objections to making this change?

What change did you have in mind?  C-g should still raise SIGINT on
TTY frames, so if that's the change you propose, I'm against it.